Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos
Class KDCOptions

    java.lang.Object
      |
      +--com.dstc.security.kerberos.KDCOptions

public class KDCOptions
extends Object

A class to represent options for flags to be set in a ticket to be requested from an Authentication Service or a Ticket Granting Service.

Granted flag options will be set in the TicketFlags for the returned ticket. Available options to set in KDCOptions are defined in `TicketFlags`. Additional options are defined below.

KDCOptions is defined in RFC1510 as the ASN.1 structure

       KDCOptions ::=  BIT STRING {
                      reserved(0),
                      forwardable(1),
                      forwarded(2),
                      proxiable(3),
                      proxy(4),
                      allow-postdate(5),
                      postdated(6),
                      unused7(7),
                      renewable(8),
                      unused9(9),
                      unused10(10),
                      unused11(11),
                      unused12(12),
                      unused13(13),
                      disable-transited-check(26),
                      renewable-ok(27),
                      enc-tkt-in-skey(28),
                      renew(30),
                      validate(31)
       }

See Also:
  `TicketFlags`, `Ticket`, `Kerberos`

Field Summary
`static int` | `DISABLE_TRANSITED_CHECK` Flag to request that the KDC disables transited field checks for this request.
`static int` | `ENC_TKT_IN_SKEY` Flag to request that a requested ticket be encrypted in the session key from an accompanying TGT.
`static int` | `RENEW` Flag to request renewal of a renewable ticket that is presented.
`static int` | `RENEWABLE_OK` Flag to indicate in a request that a renewable ticket is acceptable if a ticket for the requested lifetime cannot be issued.
`static int` | `VALIDATE` Flag to request validation of a postdated ticket that is presented.

Constructor Summary
`KDCOptions()` Default constructor

Method Summary
`boolean` | `allowPostdate()` Returns true if the ALLOW_POSTDATE option is set in this KDCOptions
`boolean` | `encTicketInSessionKey()` Returns true if the ENC-TKT-IN-SKEY option is set in this KDCOptions
`boolean` | `forwardable()` Returns true if the FORWARDABLE option is set in this KDCOptions
`boolean` | `forwarded()` Returns true if the FORWARDED option is set in this KDCOptions
`boolean` | `postdated()` Returns true if the POSTDATED option is set in this KDCOptions
`boolean` | `proxiable()` Returns true if the PROXIABLE option is set in this KDCOptions
`boolean` | `proxy()` Returns true if the PROXY option is set in this KDCOptions
`boolean` | `renewable()` Returns true if the RENEWABLE option is set in this KDCOptions
`void` | `reset()` Clears all flags in this KDCOptions so it can be re-used
`void` | `setAllowPostdate()` Indicates that the ticket to be issued is to have its ALLOW_POSTDATE flag set
`void` | `setEncTicketInSessionKey()` Indicates that the ticket to be issued is to be encrypted in the session key of a presented TGT
`void` | `setForwardable()` Indicates that the ticket to be issued is to have its FORWARDABLE flag set
`void` | `setForwarded()` Indicates that the ticket to be issued is to have its FORWARDED flag set
`void` | `setPostdated()` Indicates that the ticket to be issued is to have its POSTDATED flag set
`void` | `setProxiable()` Indicates that the ticket to be issued is to have its PROXIABLE flag set
`void` | `setProxy()` Indicates that the ticket to be issued is to have its PROXY flag set
`void` | `setRenewable()` Indicates that the ticket to be issued is to have its RENEWABLE flag set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISABLE_TRANSITED_CHECK

    public static final int DISABLE_TRANSITED_CHECK

  Flag to request that the KDC disables transited field checks for this request.

### RENEWABLE_OK

    public static final int RENEWABLE_OK

  Flag to indicate in a request that a renewable ticket is acceptable if a ticket for the requested lifetime cannot be issued.

### ENC_TKT_IN_SKEY

    public static final int ENC_TKT_IN_SKEY

  Flag to request that a requested ticket be encrypted in the session key from an accompanying TGT.

### RENEW

    public static final int RENEW

  Flag to request renewal of a renewable ticket that is presented.

### VALIDATE

    public static final int VALIDATE

  Flag to request validation of a postdated ticket that is presented.

Constructor Detail

### KDCOptions

    public KDCOptions()

  Default constructor

Method Detail

### setForwardable

    public void setForwardable()

  Indicates that the ticket to be issued is to have its FORWARDABLE flag set

### forwardable

    public boolean forwardable()

  Returns true if the FORWARDABLE option is set in this KDCOptions

### setForwarded

    public void setForwarded()

  Indicates that the ticket to be issued is to have its FORWARDED flag set

### forwarded

    public boolean forwarded()

  Returns true if the FORWARDED option is set in this KDCOptions

### setProxiable

    public void setProxiable()

  Indicates that the ticket to be issued is to have its PROXIABLE flag set

### proxiable

    public boolean proxiable()

  Returns true if the PROXIABLE option is set in this KDCOptions

### setProxy

    public void setProxy()

  Indicates that the ticket to be issued is to have its PROXY flag set

### proxy

    public boolean proxy()

  Returns true if the PROXY option is set in this KDCOptions

### setAllowPostdate

    public void setAllowPostdate()

  Indicates that the ticket to be issued is to have its ALLOW_POSTDATE flag set

### allowPostdate

    public boolean allowPostdate()

  Returns true if the ALLOW_POSTDATE option is set in this KDCOptions

### setPostdated

    public void setPostdated()

  Indicates that the ticket to be issued is to have its POSTDATED flag set

### postdated

    public boolean postdated()

  Returns true if the POSTDATED option is set in this KDCOptions

### setRenewable

    public void setRenewable()

  Indicates that the ticket to be issued is to have its RENEWABLE flag set

### renewable

    public boolean renewable()

  Returns true if the RENEWABLE option is set in this KDCOptions

### setEncTicketInSessionKey

    public void setEncTicketInSessionKey()

  Indicates that the ticket to be issued is to be encrypted in the session key of a presented TGT

### encTicketInSessionKey

    public boolean encTicketInSessionKey()

  Returns true if the ENC-TKT-IN-SKEY option is set in this KDCOptions

### reset

    public void reset()

  Clears all flags in this KDCOptions so it can be re-used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD